<style scoped="">
.product_router_top_ct{
  background-color: #eee;
  background-image: url('../assets/sy/底图.png');
  background-position: center;
  background-size: cover;
}
.title1{
  padding-top: 45px;
  padding-bottom: 11px;
  font-size: 26px;
  line-height: 1;
  text-align: center;
}
.title2{
  color: #707070;
  font-size: 16px;
  line-height: 1;
  text-align: center;
}
.num_pane_ct{
  display: flex;
  align-items: center;
  justify-content: center;
}
.num_pane{
  display: flex;
  align-items: center;
  justify-content: center;
  width: 184px;
  height: 184px;
  position: relative;
  color: #fff;
  margin-top: 28px;
  background-image: url('../assets/sy/底图2@2x.png');
  background-size: cover;
  background-position: center;
}
.num{
  font-size: 29px;
}
.num_time{
  font-size: 12px;
  font-weight: 200;
  transform: scale(0.8);
}
.num_title{
  font-size: 12px;
  line-height: 1;
  text-align: center;
  width: 100%;
  position: absolute;
  bottom: 56px;
  transform: scale(0.8);
}
.num_ct{
  margin-top: -13px;
}
</style>
<template>
  <div class="product_router_top_ct" :style="get_style()">
    <div class="title1">区块链溯源</div>
    <div class="title2">多次验证 谨防假冒</div>
    <div class="num_pane_ct">

      <div class="num_pane">
        <div class="num_ct">
          <span class="num">{{ times }}</span>
          <span class="num_time">次</span>
        </div>
        <div class="num_title">
          此码被扫码次数
        </div>
      </div>

    </div>
  </div>
</template>
<script type="text/javascript">
import {
  get_sku_info
} from '@/service'

export default {
  data () {
    return {
      data_config: {
        on_load: true,
        data: {
          queryTimes: '...',
          firstQueryTime: '...',
          firstQuerySite: '...',
          expressNum: '...',
          goodsName: '...',
          errMsg: '...',
          errCode: '...'
        }
      }
    }
  },
  props: {
    sku_id: {
      type: String,
      default () {
        return ''
      }
    },
    times: {
      type: String,
      default () {
        return '...';
      }
    }
  },
  mounted () {
    // this.load_sku_info();
  },
  methods: {
    async load_sku_info () {
      let data = await get_sku_info({'skuId': this.sku_id});
      console.log(data);
    },
    get_style () {
      let width = document.body.offsetWidth;
      return {
        height: `${ width / 375 * 324  }px`
      }
    }
  }
}
</script>